std::_List_base< _Tp, _Alloc >(3)

NAME
std::_List_base< _Tp, _Alloc > - See bits/stl_deque.h's _Deque_base for an explanation.

SYNOPSIS

  Public Types
typedef _Alloc allocator_type

  Public Member Functions
_List_base (_List_base &&)=default
_List_base (_List_base &&__x, _Node_alloc_type &&__a)
_List_base (_Node_alloc_type &&__a)
_List_base (_Node_alloc_type &&__a, _List_base &&__x)
_List_base (const _Node_alloc_type &__a) noexcept
void _M_clear () noexcept
const _Node_alloc_type & _M_get_Node_allocator () const noexcept
_Node_alloc_type & _M_get_Node_allocator () noexcept
void _M_init () noexcept
void _M_move_nodes (_List_base &&__x)

  Protected Types
typedef __gnu_cxx::__alloc_traits< _Node_alloc_type > _Node_alloc_traits
typedef _Tp_alloc_traits::template rebind< _List_node< _Tp > >::other _Node_alloc_type
typedef __gnu_cxx::__alloc_traits< _Tp_alloc_type > _Tp_alloc_traits
typedef __gnu_cxx::__alloc_traits< _Alloc >::template rebind< _Tp >::other _Tp_alloc_type

  Protected Member Functions
void _M_dec_size (size_t)
size_t _M_distance (const void *, const void *) const
_Node_alloc_traits::pointer _M_get_node ()
size_t _M_get_size () const
void _M_inc_size (size_t)
size_t _M_node_count () const
void _M_put_node (typename _Node_alloc_traits::pointer __p) noexcept
void _M_set_size (size_t)

  Static Protected Member Functions
static size_t _S_distance (const __detail::_List_node_base *__first, const __detail::_List_node_base *__last)

  Protected Attributes
_List_impl _M_impl

Detailed Description

  template<typename _Tp, typename _Alloc>
class std::_List_base< _Tp, _Alloc >" See bits/stl_deque.h's _Deque_base for an explanation.

Definition at line 349 of file stl_list.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.